# Uses of Class
org.snpeff.interval.Chromosome

Packages that use Chromosome
Package
Description
org.snpeff.codons
org.snpeff.fileIterator
org.snpeff.gsa
org.snpeff.interval
org.snpeff.snpEffect.factory

## Uses of Chromosome in org.snpeff.codons

Methods in org.snpeff.codons with parameters of type Chromosome
Modifier and Type
Method
Description
`void`
CodonTables.`set(Genome genome, Chromosome chr, CodonTable codonTable)`
Set a codon table for a given genome invalid input: '&' chromosome

## Uses of Chromosome in org.snpeff.fileIterator

Methods in org.snpeff.fileIterator that return Chromosome
Modifier and Type
Method
Description
`Chromosome`
MarkerFileIterator.`getChromosome(String chromoName)`
Find chromosome 'chromoName'.
Methods in org.snpeff.fileIterator with parameters of type Chromosome
Modifier and Type
Method
Description
`void`
MarkerFileIterator.`sanityCheckChromo(String chromoName, Chromosome chromo)`
Sanity check

## Uses of Chromosome in org.snpeff.gsa

Methods in org.snpeff.gsa that return Chromosome
Modifier and Type
Method
Description
`Chromosome`
ChrPosScoreList.`getChromosome(int index)`
Methods in org.snpeff.gsa with parameters of type Chromosome
Modifier and Type
Method
Description
`void`
ChrPosScoreList.`add(Chromosome chr, int start, int end, double score)`

## Uses of Chromosome in org.snpeff.interval

Classes in org.snpeff.interval that implement interfaces with type arguments of type Chromosome
Modifier and Type
Class
Description
`class`
`Genome`
This is just used for the Interval class.
Methods in org.snpeff.interval that return Chromosome
Modifier and Type
Method
Description
`Chromosome`
Chromosome.`cloneShallow()`
`Chromosome`
Genome.`getChromosome(String chromoName)`
Find chromosome 'chromoName'
`Chromosome`
Interval.`getChromosome()`
`Chromosome`
Genome.`getOrCreateChromosome(String chromoName)`
Get or create a chromosome
Methods in org.snpeff.interval that return types with arguments of type Chromosome
Modifier and Type
Method
Description
`Collection<Chromosome>`
Genome.`getChromosomes()`
`List<Chromosome>`
Genome.`getChromosomesSortedSize()`
Return chromosomes sorted by size (largest chromosomes first)
`Iterator<Chromosome>`
Genome.`iterator()`
Methods in org.snpeff.interval with parameters of type Chromosome
Modifier and Type
Method
Description
`void`
Genome.`add(Chromosome chromo)`
Add a chromosome
`static List<Variant>`
Variant.`factory(Chromosome chromo, int start, String ref, String altStr, String id, boolean expand)`
Create variants from ALT (which can be multiple values)
`void`
Genome.`remove(Chromosome chromo)`
Remove a chromosome WARINIG: Doesn't check any dependencies!
Constructors in org.snpeff.interval with parameters of type Chromosome
Modifier
Constructor
Description
``
`Intergenic(Chromosome parent, int start, int end, boolean strandMinus, String id, String name)`
``
`IntergenicConserved(Chromosome parent, int start, int end, boolean strandMinus, String id)`
``
`VariantBnd(Marker parent, int start, String ref, String alt, Chromosome chrTr, int startTr, boolean left, boolean before)`

## Uses of Chromosome in org.snpeff.snpEffect.factory

Methods in org.snpeff.snpEffect.factory that return Chromosome
Modifier and Type
Method
Description
`Chromosome`
SnpEffPredictorFactoryRand.`getChromo()`
`protected Chromosome`
SnpEffPredictorFactory.`getOrCreateChromosome(String chromoName)`
Get a chromosome.
Methods in org.snpeff.snpEffect.factory with parameters of type Chromosome
Modifier and Type
Method
Description
`protected void`
SnpEffPredictorFactory.`add(Chromosome chromo)`
`void`
SnpEffPredictorFactoryRand.`setChromo(Chromosome chromo)`